import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_vault_running_and_enabled(host):
    vault = host.service("vault")
    assert vault.is_running
    assert vault.is_enabled


def test_vault_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:8200").is_listening


def test_vault_conn(host):
    code = int(
        host.run(
            "curl -s -w '%{http_code}' http://127.0.0.1:8200/v1/sys/health?standbyok=true -o /dev/null"  # noqa
        ).stdout
    )

    assert code == 501
